program FtpCopy;

uses
  GnuGetText in '..\..\..\Bibliotheken\Units\GnuGetText.pas',
  LangUtils in '..\..\..\Bibliotheken\Units\LangUtils.pas',
  Forms,
  Graphics,
  FtpCopyMain in 'FtpCopyMain.pas' {MainForm},
  FtpDlg in '..\..\..\Bibliotheken\dialoge\FtpDlg.pas' {FtpDialog},
  PwdDlg in '..\..\..\Bibliotheken\dialoge\PwdDlg.pas' {PasswordDialog},
  FtpProxyDlg in '..\..\..\Bibliotheken\dialoge\FtpProxyDlg.pas' {FtpProxyDialog},
  ShellDirDlg in '..\..\..\Bibliotheken\dialoge\ShellDirDlg.pas' {ShellDirDialog},
  OpenFilesDlg in '..\..\..\Bibliotheken\Dialoge\OpenFilesDlg.pas' {OpenFilesDialog},
  TransferStat in '..\..\..\Bibliotheken\Dialoge\TransferStat.pas' {TransferStatus},
  Textdlg in '..\..\..\Bibliotheken\dialoge\Textdlg.pas' {TextEingabe};

{$R *.res}

begin
  TP_GlobalIgnoreClass(TFont);
  // Subdirectory in AppData for user configuration files and supported languages
  InitTranslation('','',['delphiXE2','indy10']);

  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TFtpDialog, FtpDialog);
  Application.CreateForm(TPasswordDialog, PasswordDialog);
  Application.CreateForm(TFtpProxyDialog, FtpProxyDialog);
  Application.CreateForm(TShellDirDialog, ShellDirDialog);
  Application.CreateForm(TOpenFilesDialog, OpenFilesDialog);
  Application.CreateForm(TTransferStatus, TransferStatus);
  Application.CreateForm(TTextEingabe, TextEingabe);
  MainForm.CheckRemote;
  Application.Run;
end.
